# ⏳Twitimer Android
![https://twitimer.com](https://raw.githubusercontent.com/mouredev/mouredev/master/twitimer_banner.png)

[![GitHub Followers](https://img.shields.io/github/stars/mouredev/Twitimer-Android?label=Rpositorio%20público%20App%20Android&style=social)](https://github.com/mouredev/Twitimer-Android)
[![GitHub Followers](https://img.shields.io/github/stars/mouredev/Twitimer-iOS?label=Repositorio%20público%20App%20iOS&style=social)](https://github.com/mouredev/Twitimer-iOS)

Twitimer es una App gratuita para **[Android](https://play.google.com/store/apps/details?id=com.mouredev.twitimer)** e **[iOS](https://apps.apple.com/us/app/twitimer-twitch-guide/id1564592351)** que se ha desarrollado para ayudar a usuarios de Twitch, pero sobre todo pensando en generar contenido formativo para toda la comunidad de **programadores y programadoras** interesada en el mundo del desarrollo de apps para dispositivos móviles. Su apoyo ha hecho posible el proyecto (ante todo quiero que sea una App gratuita y en constante evolución).

### Requisitos mínimos
[![Kotlin](https://img.shields.io/badge/Kotlin-1.5-purple?longCache=true&style=popout-square)](https://kotlinlang.org)
[![Android Studio](https://img.shields.io/badge/Android_Studio-4.2-blue.svg?longCache=true&style=popout-square)](https://developer.android.com/studio)
[![Android](https://img.shields.io/badge/Android-6-green.svg?longCache=true&style=popout-square)](https://www.android.com)

* Por razones de seguridad debes añadir tu propio fichero de configuración de Firebase `google-services.json` con Realtime Database activo y las claves de acceso al API de Twitch en Remote Config con los valores `TwitchClientID` y `TwitchClientSecret`.
* Es suficiente con abrir y ejecutar el proyecto desde Android Studio.

### ¿De qué forma utilizamos Twitimer para aprender programación?
* Puedes acceder a su código fuente libremente.
* Explico cómo funciona a nivel técnico en cada plataforma.
* Sirve como ejemplo de proyecto real para entender así el ciclo de vida de un producto de software.
* Decidimos entre la comunidad cómo mejorarla o cómo priorizar la solución de sus bugs.
* Contenido gratuito en formato **live codings** semanales en **[Twitch](https://twitch.tv/mouredev)** o de **tutoriales** en [**YouTube**](https://youtube.com/mouredevapps). Los live de Twitch se guardarán en mi **canal secundario** de [**YouTube**](https://youtube.com/mouredevbackups). También tenemos un canal de **chat** en nuestro servidor de **[Discord](https://discord.gg/U3KjjfUfUJ)**.
* Y estas son sólo algunas ideas...

### Sobre Pull Request al proyecto

* En estos momentos **NO SE ACEPTAN PR** de código sobre el proyecto.

*Esto no quiere decir que en un futuro tenga que seguir siendo así. Es un proyecto en su primera fase de desarrollo y quiero sirva de ayuda para el mayor número de personas, no únicamente las que realicen PR y tengan conocimientos para ello.*

* **SÍ SE ACEPTAN PR** para corregir los ficheros de idioma y añadir otros nuevos.
`Los encontrarás en app/src/main/res/values-[IDIOMA]/strings.xml`

> La idea fundamental es evolucionar la App entre toda la comunidad tomando decisiones en conjunto, argumentando cada una de ellas, e implementarlas en directo o mediante tutoriales para aprender todos juntos.

### ¿Cómo puedo participar?
Si quieres unirte a nuestra comunidad de desarrollo, aprender programación de Apps, y ayudar a la continuidad del proyecto, puedes encontrarnos en:

[![Web](https://img.shields.io/badge/Twitimer.com-Web_oficial-3A1C66?style=for-the-badge&logoColor=white&labelColor=101010)](https://twitimer.com)
[![Twitch](https://img.shields.io/badge/Twitch-Live_coding-9146FF?style=for-the-badge&logo=twitch&logoColor=white&labelColor=101010)](https://twitch.tv/mouredev)
[![Discord](https://img.shields.io/badge/Discord-Feedback_y_bugs-5865F2?style=for-the-badge&logo=discord&logoColor=white&labelColor=101010)](https://discord.gg/U3KjjfUfUJ)
</br>
[![YouTube](https://img.shields.io/badge/YouTube-Tutoriales-FF0000?style=for-the-badge&logo=youtube&logoColor=white&labelColor=101010)](https://youtube.com/mouredevapps)
[![YouTube](https://img.shields.io/badge/YouTube-Twitch_live_backups-FF0000?style=for-the-badge&logo=youtube&logoColor=white&labelColor=101010)](https://youtube.com/mouredevbackups)

## ![https://mouredev.com](https://raw.githubusercontent.com/mouredev/mouredev/master/mouredev_emote.png) Hola, mi nombre es Brais Moure. Soy el creador de Twitimer.
### Freelance full-stack iOS & Android engineer

[![YouTube Channel Subscribers](https://img.shields.io/youtube/channel/subscribers/UCxPD7bsocoAMq8Dj18kmGyQ?style=social)](https://youtube.com/mouredevapps?sub_confirmation=1)
[![Twitch Status](https://img.shields.io/twitch/status/mouredev?style=social)](https://twitch.com/mouredev)
[![Twitter Follow](https://img.shields.io/twitter/follow/mouredev?style=social)](https://twitter.com/mouredev)
![GitHub Followers](https://img.shields.io/github/followers/mouredev?style=social)

Soy ingeniero de software desde hace más de 11 años. Desde hace 3 años combino mi trabajo desarrollando Apps con creación de contenido formativo sobre programación y tecnología en diferentes redes sociales como **[@mouredev](https://mouredev.com/sigueme)**.

### En mi perfil de GitHub tienes más información

[![Web](https://img.shields.io/badge/GitHub-MoureDev-14a1f0?style=for-the-badge&logo=github&logoColor=white&labelColor=101010)](https://github.com/mouredev)